View Issue Details

IDProjectCategoryView StatusLast Update
0015964mantisbtfilterspublic2013-06-13 16:53
Reporterluis_compegpsAssigned Toatrol 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionno change required 
PlatformlinuxOSdebian 6 64 bitOS Version
Product Version1.2.15 
Target VersionFixed in Version 
Summary0015964: Select all in view list is not working
Description

If you try to move,copy, etc all issues from view issues, and you click "select all" is not working.

Now you have to select 1 by 1, and then you can move, copy, target version...

TagsNo tags attached.

Relationships

related to 0012796 closedatrol 'javascript' subdirect should be renamed 
related to 0015962 closeddregad When all projects selected, and hide status = resolved and above, filtering is not working for all projects 

Activities

atrol

atrol

2013-06-03 16:45

developer   ~0037052

JavaScript must be enabled for this functionality.
Maybe you disabled JavaScript.

luis_compegps

luis_compegps

2013-06-04 02:54

reporter   ~0037061

Yes, javascript is enabled

luis_compegps

luis_compegps

2013-06-04 02:56

reporter   ~0037062

Last edited: 2013-06-04 02:57

View 2 revisions

I check some problems with javascript:

ailed to load resource: the server responded with a status of 403 (Forbidden) /javascript/min/common.js
Failed to load resource: the server responded with a status of 403 (Forbidden) /javascript/min/ajax.js
Failed to load resource: the server responded with a status of 403 (Forbidden) /javascript/min/addLoadEvent.js
Failed to load resource: the server responded with a status of 403 (Forbidden) /javascript/min/xmlhttprequest.js
Failed to load resource: the server responded with a status of 403 (Forbidden) /javascript/min/dynamic_filters.js
2
Uncaught ReferenceError: checkall is not defined view_all_bug_page.php:31

I see permisssions problems in my server!

I'll have a look

luis_compegps

luis_compegps

2013-06-04 03:05

reporter   ~0037064

I see the problem, my hosting, is disabling to access to folder javascript/.

luis_compegps

luis_compegps

2013-06-04 03:15

reporter   ~0037065

My hosting, is an ISPCONFIG 3.
In some way it has a virtualhost configured with this folder /javascript.

I don't know if i can disable this javascript/ folder without breaking things in ISPCONFIG.

I adopted another solution, rename folder "javascript" to "js"

And change de source code of mantis.

plugins/MantisGraph/pages/bug_graph_page.php: echo '<link rel="stylesheet" type="text/css" href="', helper_mantis_url( 'javascript/min/jscalendar/calendar-blue.css' ), '">' . "\n";
plugins/MantisGraph/pages/bug_graph_page.php: echo '<link rel="stylesheet" type="text/css" href="', helper_mantis_url( 'javascript/dev/jscalendar/calendar-blue.css' ), '">' . "\n";
core/html_api.php: echo '<script type="text/javascript" src="', helper_mantis_url( 'javascript/min/' . $p_filename ), '"></script>' . "\n";
core/html_api.php: echo '<script type="text/javascript" src="', helper_mantis_url( 'javascript/dev/' . $p_filename ), '"></script>' . "\n";

to this:

plugins/MantisGraph/pages/bug_graph_page.php: echo '<link rel="stylesheet" type="text/css" href="', helper_mantis_url( 'js/min/jscalendar/calendar-blue.css' ), '">' . "\n";
plugins/MantisGraph/pages/bug_graph_page.php: echo '<link rel="stylesheet" type="text/css" href="', helper_mantis_url( 'js/dev/jscalendar/calendar-blue.css' ), '">' . "\n";
core/html_api.php: echo '<script type="text/javascript" src="', helper_mantis_url( 'js/min/' . $p_filename ), '"></script>' . "\n";
core/html_api.php: echo '<script type="text/javascript" src="', helper_mantis_url( 'js/dev/' . $p_filename ), '"></script>' . "\n";

luis_compegps

luis_compegps

2013-06-04 03:16

reporter   ~0037067

so the bugs and strange things now are working.

Issue solved

Issue History

Date Modified Username Field Change
2013-06-03 11:24 luis_compegps New Issue
2013-06-03 16:45 atrol Note Added: 0037052
2013-06-03 16:45 atrol Status new => feedback
2013-06-04 02:54 luis_compegps Note Added: 0037061
2013-06-04 02:54 luis_compegps Status feedback => new
2013-06-04 02:56 luis_compegps Note Added: 0037062
2013-06-04 02:57 luis_compegps Note Edited: 0037062 View Revisions
2013-06-04 02:57 luis_compegps Note View State: 0037062: private
2013-06-04 03:05 luis_compegps Note Added: 0037064
2013-06-04 03:15 luis_compegps Note Added: 0037065
2013-06-04 03:16 luis_compegps Note Added: 0037067
2013-06-04 04:34 atrol Status new => resolved
2013-06-04 04:34 atrol Resolution open => no change required
2013-06-04 04:34 atrol Assigned To => atrol
2013-06-04 04:34 atrol Relationship added related to 0012796
2013-06-04 04:35 atrol Note View State: 0037062: public
2013-06-04 07:05 dregad Relationship added related to 0015962
2013-06-13 16:53 atrol Status resolved => closed